<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../config/database.php'; 
include_once '../objects/agent.php'; 

$database = new Database();
$db = $database->getConnection();

$agent = new Agent($db);

$stmt = $agent->getAllRows();
$num = $stmt->rowCount();


$response = array();
$response["records"] = array();

if ($num > 0) {

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row); 

        $item = array(
            "id" => (int)$id,
            "agent_name" => $agent_name, 
            "contact_person" => $contact_person,
            "commission" => $commission,
            "phone" => $phone,
            "email" => $email,
            "address" => $address,
            "country" => $country,
            "remark" => $remark,
            "inactive" => $inactive,
        );


        array_push($response["records"], $item);
    }
}


http_response_code(200);
echo json_encode($response);
?>
